### Constructor

# Vips Source new_from_blob

#### Declaration [src]

    VipsSource*
    vips_source_new_from_blob (
      VipsBlob* blob
    )

#### Description [src]

Create a source attached to an area of memory.

#### Parameters

`blob`

  Type: `VipsBlob`

  Memory area to load.

  The data is owned by the caller of the function.

#### Return value

Type: `VipsSource`

A new source.

The caller of the function takes ownership of the data, and is responsible for freeing it.